For the complete documentation index, see llms.txt. This page is also available as Markdown.

List databases

Retrieves a list of databases

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
Responses
200

Successful operation.

application/json

Pagination information in list responses.

offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
typestring · enumRequired

The type of the resource.

Possible values:
idstringRequired

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
hrefstringRequired

Absolute URL of the resource.

get/clusters/{clusterId}/databases
GET /databases/postgresql/clusters/{clusterId}/databases HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "offset": 200,
  "limit": 100,
  "_links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  },
  "type": "collection",
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "href": "text",
  "items": [
    {
      "type": "collection",
      "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
      "href": "text",
      "metadata": {
        "createdBy": "ionos:iam:cloud::users/f719718d-e0aa-4870-a36c-cc0bdb8c6d90",
        "createdByUserId": "f719718d-e0aa-4870-a36c-cc0bdb8c6d90",
        "createdDate": "2023-05-11T13:37:50Z",
        "lastModifiedBy": "ionos:iam:cloud::users/f719718d-e0aa-4870-a36c-cc0bdb8c6d90",
        "lastModifiedByUserId": "f719718d-e0aa-4870-a36c-cc0bdb8c6d90",
        "lastModifiedDate": "2023-05-11T13:37:50Z",
        "resourceURN": "ionos:postgresql:de-fra:11274857:clusters/c668480f-8627-4b6c-b422-2599d4b568a6/users/benjamin"
      },
      "properties": {
        "name": "benjamindb",
        "owner": "benjamin"
      }
    }
  ]
}

Last updated

Was this helpful?